#!/bin/bash

# to reset OPTIND to make gitopts works several times 
OPTIND=1
INSTALLATION_PATH=/usr/local/bin
HOSSTED=$INSTALLATION_PATH/hossted
CLI_VERSION=0.5.7
# k8s or docker type
HOSSTYPE=$(echo $(uname -s) | tr '[:upper:]' '[:lower:]')
CLI_DOWNLOAD_URL="https://github.com/hossted/cli/releases/download/$CLI_VERSION/hossted-$CLI_VERSION-$HOSSTYPE-amd64"

DEV=false


install_hossted_cli() {
  echo "Downloading hossted CLI from $CLI_DOWNLOAD_URL"
  sudo curl -L $CLI_DOWNLOAD_URL -o $HOSSTED
  sudo chmod a+x $HOSSTED
}

# Parse optional -d flag
while getopts "d" opt; do
  case ${opt} in
    d )
      DEV=true
      echo "DEV=true"
      CLI_DOWNLOAD_URL="https://github.com/hossted/cli/releases/download/$CLI_VERSION/hossted-$CLI_VERSION-$HOSSTYPE-amd64"
      ;;
    \? )
      echo "Usage: cmd [-d]"
      exit 1
      ;;
  esac
done


install_hossted_cli
